CVE-2015-8781

NameCVE-2015-8781
Descriptiontif_luv.c in libtiff allows attackers to cause a denial of service (out-of-bounds write) via an invalid number of samples per pixel in a LogL compressed TIFF image, a different vulnerability than CVE-2015-8782.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-405-1, DLA-880-1, DSA-3467-1
NVD severitymedium (attack range: remote)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
tiff (PTS)wheezy4.0.2-6+deb7u5fixed
wheezy (security)4.0.2-6+deb7u16fixed
jessie (security), jessie4.0.3-12.3+deb8u4fixed
stretch (security), stretch4.0.8-2+deb9u1fixed
buster, sid4.0.8-5fixed
tiff3 (PTS)wheezy3.9.6-11vulnerable
wheezy (security)3.9.6-11+deb7u8fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
tiffsource(unstable)4.0.6-1medium
tiffsourcejessie4.0.3-12.3+deb8u1mediumDSA-3467-1
tiffsourcesqueeze3.9.4-5+squeeze14mediumDLA-405-1
tiffsourcewheezy4.0.2-6+deb7u5mediumDSA-3467-1
tiff3source(unstable)(unfixed)medium
tiff3sourcewheezy3.9.6-11+deb7u4mediumDLA-880-1

Notes

http://bugzilla.maptools.org/show_bug.cgi?id=2522#0
Commit: https://github.com/vadz/libtiff/commit/aaab5c3c9d2a2c6984f23ccbc79702610439bc65
http://www.openwall.com/lists/oss-security/2016/01/24/3

Search for package or bug name: Reporting problems